load estimation_results.mat
load cond_forecast_nopolicy_ci_final.mat
load cond_forecast_policy_ci_final.mat
load kink_index.mat

ci_up=[];
ci_low=[];

wts=[1/4,1/2,1/4];

for xx = 1:size(cond_forecast_policy_ci_final,1)
    for yy = 1:size(cond_forecast_policy_ci_final,2)

        tmp1a=squeeze(cond_forecast_nopolicy_ci_final(xx,yy,:))';
        tmp1b=squeeze(cond_forecast_policy_ci_final(xx,yy,:))';

        tmp1a=[tmp1a(1),conv(tmp1a,wts,'valid'),tmp1a(end)];
        tmp1b=[tmp1b(1),conv(tmp1b,wts,'valid'),tmp1b(end)];
        
        tmp2a(xx,yy,:)=tmp1a;
        tmp2b(xx,yy,:)=tmp1b;
        tmp2c(xx,yy,:)=(tmp1b./tmp1a-1)*100;

    end
tmp2b(xx,find(oo_.dr.order_var==find(M_.endo_names=="sERd")),kink_index-4)=0.00001;
tmp2c(xx,find(oo_.dr.order_var==find(M_.endo_names=="sERd")),kink_index-4)=0;
end



for yy = 1:size(cond_forecast_policy_ci_final,2)
    for zz = 1:121

        ci_up_nopolicy(yy,zz)=prctile(tmp2a(:,yy,zz),95);
        ci_low_nopolicy(yy,zz)=prctile(tmp2a(:,yy,zz),5);

        ci_up(yy,zz)=prctile(tmp2b(:,yy,zz),95);
        ci_low(yy,zz)=prctile(tmp2b(:,yy,zz),5);

        ci_up_dev(yy,zz)=prctile(tmp2c(:,yy,zz),95);
        ci_low_dev(yy,zz)=prctile(tmp2c(:,yy,zz),5);

    end
end

for yy = 1:size(ci_up_nopolicy,1)
    ci_up_nopolicy(yy,:) =[ci_up_nopolicy(yy,1),  conv(ci_up_nopolicy(yy,:),  wts,'valid'),ci_up_nopolicy(yy,end)];
    ci_low_nopolicy(yy,:)=[ci_low_nopolicy(yy,1), conv(ci_low_nopolicy(yy,:), wts,'valid'),ci_low_nopolicy(yy,end)];
    ci_up(yy,:)          =[ci_up(yy,1),           conv(ci_up(yy,:),           wts,'valid'),ci_up(yy,end)];
    ci_low(yy,:)         =[ci_low(yy,1),          conv(ci_low(yy,:),          wts,'valid'),ci_low(yy,end)];
    ci_up_dev(yy,:)      =[ci_up_dev(yy,1),       conv(ci_up_dev(yy,:),       wts,'valid'),ci_up_dev(yy,end)];
    ci_low_dev(yy,:)     =[ci_low_dev(yy,1),      conv(ci_low_dev(yy,:),      wts,'valid'),ci_low_dev(yy,end)];
end
ci_up_nopolicy(find(oo_.dr.order_var==find(M_.endo_names=="sERd")),kink_index-4)=0.00001;
ci_low_nopolicy(find(oo_.dr.order_var==find(M_.endo_names=="sERd")),kink_index-4)=0.00001;
ci_up(find(oo_.dr.order_var==find(M_.endo_names=="sERd")),kink_index-4)=0.00001;
ci_low(find(oo_.dr.order_var==find(M_.endo_names=="sERd")),kink_index-4)=0.00001;
ci_up_dev(find(oo_.dr.order_var==find(M_.endo_names=="sERd")),kink_index-4)=0;
ci_low_dev(find(oo_.dr.order_var==find(M_.endo_names=="sERd")),kink_index-4)=0;



save ci_up_nopolicy.mat ci_up_nopolicy 
save ci_low_nopolicy.mat ci_low_nopolicy  
save ci_up.mat ci_up 
save ci_low.mat ci_low  
save ci_up_dev.mat ci_up_dev 
save ci_low_dev.mat ci_low_dev  
